CREATE TABLE IF NOT EXISTS REC_CELEBRATIONS_DENORM ( 
  PK_CELEBRATION NUMBER(38) NOT NULL, 
  FK_CLIENT NUMBER(22,0) NOT NULL, 
  FK_AWARD_HISTORY NUMBER(38) NOT NULL,
  GLBCERT_UNIQUE_ID VARCHAR2(50 BYTE) NOT NULL,
  FK_RECIPIENT NUMBER(38) NOT NULL,
  RECIPIENT_FIRSTNAME VARCHAR2(50) NOT NULL,
  RECIPIENT_LASTNAME VARCHAR2(50) NOT NULL,
  RECIPIENT_HAS_NEWSFEED NUMBER NOT NULL,
  RECIPIENT_EXPIRED DATE,
  FK_AWARD_TYPE NUMBER(22,0) NOT NULL, 
  AWARD_REASON_CODE VARCHAR2(2000 BYTE), 
  DELIVERY_DATE DATE NOT NULL,
  LINK_ID NUMBER,
  IS_TIMELINES NUMBER(1,0) DEFAULT 0,
  YOS_YEARS NUMBER(22),
  AWARD_PRIVATE NUMBER(1,0) DEFAULT 0 NOT NULL,
  BAO_BATCH_OUT_ID NUMBER,
  MEDIA_ENTRY_ID VARCHAR2(15 BYTE),
  MEDIA_TYPE NUMBER(1,0),
  CREATED DATE, 
  MODIFIED DATE
 );

ALTER TABLE REC_CELEBRATIONS_DENORM ADD CONSTRAINT IF NOT EXISTS PK_RCLBRDN PRIMARY KEY (PK_CELEBRATION);

ALTER TABLE REC_CELEBRATIONS_DENORM ADD CONSTRAINT IF NOT EXISTS CELEBRATIONS_GLBCERT_UNIQUE UNIQUE (GLBCERT_UNIQUE_ID) ;
ALTER TABLE REC_CELEBRATIONS_DENORM ADD CONSTRAINT IF NOT EXISTS CELEBRATIONS_FK_AWARD_HISTORY_UNIQUE UNIQUE (FK_AWARD_HISTORY) ;
